Package org.apache.commons.collections4.map

# Class FixedSizeMap<K,V>

java.lang.Object
org.apache.commons.collections4.map.AbstractIterableMap<K,V>
org.apache.commons.collections4.map.AbstractMapDecorator<K,V>
org.apache.commons.collections4.map.FixedSizeMap<K,V>

Type Parameters:
  `K` - The type of the keys in this map
  `V` - The type of the values in this map

All Implemented Interfaces:
  `Serializable`, `Map<K,V>`, `BoundedMap<K,V>`, `Get<K,V>`, `IterableGet<K,V>`, `IterableMap<K,V>`, `Put<K,V>`

public class FixedSizeMap<K,V> extends AbstractMapDecorator<K,V> implements BoundedMap<K,V>, Serializable
Decorates another `Map` to fix the size, preventing add/remove.

Any action that would change the size of the map is disallowed. The put method is allowed to change the value associated with an existing key however.

If trying to remove or clear the map, an UnsupportedOperationException is thrown. If trying to put a new mapping into the map, an IllegalArgumentException is thrown. This is because the put method can succeed if the mapping's key already exists in the map, so the put method is not always unsupported.

Note that FixedSizeMap is not synchronized and is not thread-safe. If you wish to use this map from multiple threads concurrently, you must use appropriate synchronization. The simplest approach is to wrap this map using `Collections.synchronizedMap(Map)`. This class may throw exceptions when accessed by concurrent threads without synchronization.

This class is Serializable from Commons Collections 3.1.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FixedSizeMap(Map<K,V> map)`
  Constructor that wraps (not copies).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Always throws `UnsupportedOperationException`.
  `Set<Map.Entry<K,V>>`
  `entrySet()`
  Gets a set view of the mappings contained in this map.
  `static <K, V> FixedSizeMap<K,V>`
  `fixedSizeMap(Map<K,V> map)`
  Factory method to create a fixed size map.
  `boolean`
  `isFull()`
  Returns true if this map is full and no new elements can be added.
  `Set<K>`
  `keySet()`
  Gets a view of the keys contained in this map.
  `int`
  `maxSize()`
  Gets the maximum size of the map (the bound).
  `V`
  `put(K key, V value)`
  Associates the specified value with the specified key in this map.
  `void`
  `putAll(Map<? extends K,? extends V> mapToCopy)`
  Copies all of the mappings from the specified map to this map.
  `V`
  `remove(Object key)`
  Always throws `UnsupportedOperationException`.
  `Collection<V>`
  `values()`
  Gets a a collection view of the values contained in this map.

  ### Methods inherited from class org.apache.commons.collections4.map.AbstractMapDecorator

  `containsKey, containsValue, decorated, equals, get, hashCode, isEmpty, size, toString`

  ### Methods inherited from class org.apache.commons.collections4.map.AbstractIterableMap

  `mapIterator`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.collections4.Get

  `containsKey, containsValue, get, isEmpty, size`

  ### Methods inherited from interface org.apache.commons.collections4.IterableGet

  `mapIterator`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, equals, forEach, get, getOrDefault, hashCode, isEmpty, merge, putIfAbsent, remove, replace, replace, replaceAll, size`

- ## Constructor Details

  - ### FixedSizeMap

    protected FixedSizeMap(Map<K,V> map)
    Constructor that wraps (not copies).
    Parameters:
      `map` - The map to decorate, must not be null
    Throws:
      `NullPointerException` - if map is null

- ## Method Details

  - ### fixedSizeMap

    public static <K, V> FixedSizeMap<K,V> fixedSizeMap(Map<K,V> map)
    Factory method to create a fixed size map.
    Type Parameters:
      `K` - the key type
      `V` - the value type
    Parameters:
      `map` - The map to decorate, must not be null
    Returns:
      A new fixed size map
    Throws:
      `NullPointerException` - if map is null
    Since:
      4.0

  - ### clear

    public void clear()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `clear` in interface `Map<K,V>`
    Specified by:
      `clear` in interface `Put<K,V>`
    Overrides:
      `clear` in class `AbstractMapDecorator<K,V>`
    Throws:
      `UnsupportedOperationException` - Always thrown.
    See Also:
      - `Map.clear()`

  - ### entrySet

    public Set<Map.Entry<K,V>> entrySet()
    Description copied from interface: `Get`
    Gets a set view of the mappings contained in this map.
    Specified by:
      `entrySet` in interface `Get<K,V>`
    Specified by:
      `entrySet` in interface `Map<K,V>`
    Overrides:
      `entrySet` in class `AbstractMapDecorator<K,V>`
    Returns:
      A set view of the mappings contained in this map.
    See Also:
      - `Map.entrySet()`

  - ### isFull

    public boolean isFull()
    Description copied from interface: `BoundedMap`
    Returns true if this map is full and no new elements can be added.
    Specified by:
      `isFull` in interface `BoundedMap<K,V>`
    Returns:
      `true` if the map is full.

  - ### keySet

    public Set<K> keySet()
    Description copied from interface: `Get`
    Gets a view of the keys contained in this map.
    Specified by:
      `keySet` in interface `Get<K,V>`
    Specified by:
      `keySet` in interface `Map<K,V>`
    Overrides:
      `keySet` in class `AbstractMapDecorator<K,V>`
    Returns:
      A set view of the keys contained in this map.
    See Also:
      - `Map.keySet()`

  - ### maxSize

    public int maxSize()
    Description copied from interface: `BoundedMap`
    Gets the maximum size of the map (the bound).
    Specified by:
      `maxSize` in interface `BoundedMap<K,V>`
    Returns:
      The maximum number of elements the map can hold.

  - ### put

    public V put(K key, V value)
    Description copied from interface: `Put`
    Associates the specified value with the specified key in this map.

    Note that the return type is Object, rather than V as in the Map interface. See the class Javadoc for further info.

    Specified by:
      `put` in interface `Map<K,V>`
    Specified by:
      `put` in interface `Put<K,V>`
    Overrides:
      `put` in class `AbstractMapDecorator<K,V>`
    Parameters:
      `key` - key with which the specified value is to be associated.
      `value` - value to be associated with the specified key.
    Returns:
      The previous value associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`, if the implementation supports `null` values.)
    See Also:
      - `Map.put(Object, Object)`

  - ### putAll

    public void putAll(Map<? extends K,? extends V> mapToCopy)
    Description copied from interface: `Put`
    Copies all of the mappings from the specified map to this map.
    Specified by:
      `putAll` in interface `Map<K,V>`
    Specified by:
      `putAll` in interface `Put<K,V>`
    Overrides:
      `putAll` in class `AbstractMapDecorator<K,V>`
    Parameters:
      `mapToCopy` - mappings to be stored in this map.
    See Also:
      - `Map.putAll(Map)`

  - ### remove

    public V remove(Object key)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `remove` in interface `Get<K,V>`
    Specified by:
      `remove` in interface `Map<K,V>`
    Overrides:
      `remove` in class `AbstractMapDecorator<K,V>`
    Parameters:
      `key` - Ignored.
    Returns:
      The previous value associated with `key`, or `null` if there was no mapping for `key`.
    Throws:
      `UnsupportedOperationException` - Always thrown.
    See Also:
      - `Map.remove(Object)`

  - ### values

    public Collection<V> values()
    Description copied from interface: `Get`
    Gets a a collection view of the values contained in this map.
    Specified by:
      `values` in interface `Get<K,V>`
    Specified by:
      `values` in interface `Map<K,V>`
    Overrides:
      `values` in class `AbstractMapDecorator<K,V>`
    Returns:
      A collection view of the values contained in this map.
    See Also:
      - `Map.values()`